#!/bin/sh
#
#       License: GPLv2
#       Author: review (http://www.mobileread.com/forums/member.php?u=88891)
#
/ebrmain/bin/netagent connect
cd /mnt/ext1
agency=TAZ-$(date +%Y-%m-%d).html

if [ -d myrss-tmp ]; then 
	rm -rf myrss-tmp;
fi

mkdir myrss-tmp;
cd myrss-tmp;

# where is the progressbar app?
if [ -e /mnt/ext1/applications/tools/progressb.app ]; then
  PRG_APP=/mnt/ext1/applications/tools/progressb.app
fi
if [ -e ../progressb.app ]; then
  PRG_APP=../progressb.app
fi

echo '<html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8"/></head><body>' > $agency

echo "0" > percent

wget -O feed http://www.taz.de/rss.xml
cat feed|
sed 's|<link>|\n<link>|g;s|</link>|</link>\n|g' |grep "<link>"|sed 's|<link>||g;s|</link>||g;'|awk -F"[" '{print $3}'|sed 's/]]>//g'|grep -v "taz.de.$"|grep -v "de.rss.xml$"> feed2
tail -f percent| ${PRG_APP} &
total=$(grep -c ^ feed2)
current=0;
cat feed2|
while read line; do
        current=$((current+1));
        echo $current $total|awk '{printf "%.0f\n",$1*100/$2}' >> percent

	rm article-raw
	wget -O article-raw $line
	headline=$(cat article-raw | sed -n 's/.*<h1>\(.*\)<\/h1>.*/\1/p')
	cat article-raw | sed 's|</script>.*<p class="article"|START_ARTICLE\n<p class="article"|g' > article-raw2
	begin=$(cat article-raw2 |grep -n 'START_ARTICLE' |head -1|awk -F: '{print $1}')
	if [ "$begin " = " " ]; then
		continue
	fi
	begin=$((begin+1))
	cat article-raw2 | sed -n "${begin},\$p" > article-raw3
	cat article-raw3 | sed 's|<div class="sectfoot"|\nEND_ARTICLE|' > article-raw4
	
	end=$(cat article-raw4 |grep -n 'END_ARTICLE' |tail -1|awk -F: '{print $1}')
	if [ "$end " = " " ]; then
		continue
	fi
	
	echo "<h1>${headline}</h1>" >> $agency
	cat article-raw4 | sed "${end},\$d" | grep -v sect_seealso | sed 's|<h[2-5]>|<br/><b>|g;s|</h[2-5]>|</b><br/>|g' >> $agency

done
echo "100" >> percent

echo '</body></html>' >> $agency
mv $agency ../.
cd ..
rm -rf myrss-tmp
/ebrmain/bin/netagent disconnect
